# IBM_PROLOG_BEGIN_TAG 
# This is an automatically generated prolog. 
#  
#  
#  
# Licensed Materials - Property of IBM 
#  
# (C) COPYRIGHT International Business Machines Corp. 2006,2008 
# All Rights Reserved 
#  
# US Government Users Restricted Rights - Use, duplication or 
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp. 
#  
# IBM_PROLOG_END_TAG 

# @(#)79   1.8   src/csm/install/pkgdefs/Linux-RedHatEL-Server5-ppc64.pm.perl, setup, csm_rhig, rhig0911a 4/16/07 04:58:59
#--------------------------------------------------------------------------------

=head3	Linux-RedHatEL-Server5-ppc64.pm.perl

        Package Definition File:   RedHatEL-Server 5 ppc

        Notes:

        The following global variables must be initalized before including
        this file:

                $::mgmt_type    = [ MgmtServer | MgdNode ]
                $::csm_version  = [1.3.0 | 1.3.1 | 1.3.2 | ... ]


        exceptions:
        This file has been rewritten for csm 1.3.4 to rely on default values
        with support for release-specific exceptions.  This makes it much
        simpler to maintain the package defs across releases.

	The approach uses $::csm_version to set default values for both server and
	node defines.  It allows for execptions to these default values by defining
	specific csm versions assignments which overwrite the defaults when
	$::csm_version is equal to the execption's version number.

	ORDER IS IMPORTANT:
	As noted in the code, any excptions must follow the default assignments,
	otherwise the execption assignment will be overwriten by the default.

	OTHER DOCUMENTATION - see pkgdefs/Linux.pm

=cut

#--------------------------------------------------------------------------------

# houskeeping

package RedHatELServer5ppc64;

#do "/opt/csm/install/pkgdefs/Linux-ppc64.pm";
my $progdir = $0;
$progdir =~ s/\/[^\/]*$/\//g;
if (-e "$progdir/pkgdefs/Linux-RedHatEL5-ppc64.pm")
{
	do "$progdir/pkgdefs/Linux-RedHatEL5-ppc64.pm";
}
else
{
	do "/opt/csm/install/pkgdefs/Linux-RedHatEL5-ppc64.pm";
}

MessageUtils->messageFromCat(
						  'csmInstall.cat',
						  $::MSGMAPPATH,
						  'csminstall',
						  'V',
						  'IMsgLoading',
						  "/opt/csm/install/pkgdefs/Linux-RedHatEL-Server5-ppc64.pm"
);

my $_server_  = 'MgmtServer';
my $_node_    = 'MgdNode';
my $_iserver_ = 'InstallServer';
$::pkgdefs{'where_supported'} = ['MgmtServer', 'InstallServer', 'MgdNode'];

#--------------------------------------------------------------------------------

=head3	DISTRO Defintions

	Notes :

=cut

#--------------------------------------------------------------------------------
{

	$::pkgdefs{DISTRO_NAME} = "Red Hat Enterprise Linux Server 5 PPC";
	$::pkgdefs{DISTRO_DISKLIST}   = "1 2 3 4 5";        # TO BE REMOVED
	$::pkgdefs{DISTRO_RPMDIR}     = "Server";
    # FIXME what's this be used for?
    #$::pkgdefs{DISTRO_UPDATESDIR} = "RedHat/Updates";

}

#--------------------------------------------------------------------------------

=head3  distro_disks - Distribution Disk Defines

        Distribution Disk descriptions used to prompt for the CD-ROMs
        during installation.

        One stanza per CDROM:

                num                     = the number on the CD-ROM's label
                name                    = the text string describing the CD-ROM
                diskid_filename         = the filename to search to identify the disk
                                          - supportsw shell wildcards.
                diskid_searchstring     = the string to search for in diskid_filename
                                          - supports perl regular expressions


=cut

#--------------------------------------------------------------------------------

{
	my $dd_ref = [
		{
		 num               => '1',
		 name              => $::pkgdefs{DISTRO_NAME},
		 diskid_searchargs => {
							   file => '.discinfo',
							   num  => '1',
							   arch => 'ppc',
							   key  => '1170976117.807964',
							   rpm  => 'Server/redhat-release-5Server-5.0.0.9.ppc.rpm',
							  },
		 diskid_searchprog => \&Linux::rhel_diskid_match_prog,
		 diskid_target     => 'RedHatEL-Server5-ppc64',
		},
		{
		 num               => '2',
		 name              => $::pkgdefs{DISTRO_NAME},
		 diskid_searchargs => {
							   file => '.discinfo',
							   num  => '2',
							   arch => 'ppc',
							   key  => '1170976117.807964',
							   rpm  => '',
							  },
		 diskid_searchprog => \&Linux::rhel_diskid_match_prog,
		 diskid_target     => 'RedHatEL-Server5-ppc64',
		},
		{
		 num  => '3',
		 name => $::pkgdefs{DISTRO_NAME},

		 diskid_searchargs => {
							   file => '.discinfo',
							   num  => '3',
							   arch => 'ppc',
							   key  => '1170976117.807964',
							   rpm  => '',
							  },
		 diskid_searchprog => \&Linux::rhel_diskid_match_prog,
		 diskid_target     => 'RedHatEL-Server5-ppc64',
		},
		{
		 num  => '4',
		 name => $::pkgdefs{DISTRO_NAME},

		 diskid_searchargs => {
							   file => '.discinfo',
							   num  => '4',
							   arch => 'ppc',
							   key  => '1170976117.807964',
							   rpm  => '',
							  },
		 diskid_searchprog => \&Linux::rhel_diskid_match_prog,
		 diskid_target     => 'RedHatEL-Server5-ppc64',
		},
		{
		 num  => '5',
		 name => $::pkgdefs{DISTRO_NAME},

		 diskid_searchargs => {
							   file => '.discinfo',
							   num  => '5',
							   arch => 'ppc',
							   key  => '1170976117.807964',
							   rpm  => '',
							  },
		 diskid_searchprog => \&Linux::rhel_diskid_match_prog,
		 diskid_target     => 'RedHatEL-Server5-ppc64',
		},
		{
		 num  => '6',
		 name => $::pkgdefs{DISTRO_NAME},

		 diskid_searchargs => {
							   file => '.discinfo',
							   num  => '6',
							   arch => 'ppc',
							   key  => '1170976117.807964',
							   rpm  => '',
							  },
		 diskid_searchprog => \&Linux::rhel_diskid_match_prog,
		 diskid_target     => 'RedHatEL-Server5-ppc64',
		}
	];

	$::pkgdefs{distro_disks} = $dd_ref;
}

#--------------------------------------------------------------------------------

=head3  distro_disks - Distribution DVD Disk Defines

    Distribution Disk descriptions used to prompt for the CD-ROMs
    during installation.

    One stanza per DVD:
        type                    = the disk type, CD or DVD. default is CD

        num                     = the number on the CD-ROM's label
        name                    = the text string describing the CD-ROM
        diskid_searchargs       = the arguments be searched to identify the disk
            file<num>    - specific file on the disk
            key<num>    - specific contents of this file
			More than one file-key pair can be specified

        diskid_searchprog       = the subroutine be used when identifying the disk
        diskid_target		= the target this disk would be copied to

=cut

#--------------------------------------------------------------------------------
{

	my $ddvd_ref = [
		{
	     type              => 'DVD',
		 num               => '1',
		 name              => $::pkgdefs{DISTRO_NAME},
		 diskid_searchargs => {
							   file => '.discinfo',
							   num  => '1,2,3,4,5,6',
							   arch => 'ppc',
							   key  => '1170976117.807964',
							   rpm  => 'Server/redhat-release-5Server-5.0.0.9.ppc.rpm',
							  },
		 diskid_searchprog => \&Linux::rhel_diskid_match_prog,
		 diskid_target     => 'RedHatEL-Server5-ppc64',
		},
		];
	$::pkgdefs{distro_dvd_disks} = $ddvd_ref;
}
#--------------------------------------------------------------------------------

=head3 ramdisk_size

        Notes: the ramdisk size
=cut

#---------------------------------------------------------------------------------
{
        $::pkgdefs{'ramdisk_size'} = 10240;
}
#--------------------------------------------------------------------------------

=head3 kernel_arch_dir

        Notes: the architecture directory for drivers

=cut

#--------------------------------------------------------------------------------
{
        my $kernel_arch_dir = {
                                                   'default'  => 'ppc64',
                                                  };
        $::pkgdefs{'kernel_arch_dir'} = $kernel_arch_dir;
}
#--------------------------------------------------------------------------------

=head3 zImage.stub

        Notes: the stub file path when building zImage
=cut

#---------------------------------------------------------------------------------
{
        $::pkgdefs{'zImage.stub'} = "/usr/share/ppc64-utils/zImage.stub";
}
#--------------------------------------------------------------------------------

1;    # end

