# IBM_PROLOG_BEGIN_TAG 
# This is an automatically generated prolog. 
#  
#  
#  
# Licensed Materials - Property of IBM 
#  
# (C) COPYRIGHT International Business Machines Corp. 2006,2008 
# All Rights Reserved 
#  
# US Government Users Restricted Rights - Use, duplication or 
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp. 
#  
# IBM_PROLOG_END_TAG 

# @(#)90   1.5   src/csm/install/pkgdefs/Linux-RedHatEL5-x86_64.pm.perl, setup, csm_rhig, rhig0911a 3/29/07 10:32:50
#--------------------------------------------------------------------------------

=head3	Linux-RedHatEL5-x86_64.pm.perl

        Package Definition File:    RedHatEL 5 x86_64

        Notes:

        The following global variables must be initalized before including
        this file:

                $::mgmt_type    = [MgmtServer | MgdNode ]
                $::csm_version  = [1.3.0 | 1.3.1 | 1.3.2 | ... ]


        exceptions:
        This file has been rewritten for csm 1.3.4 to rely on default values
        with support for release-specific exceptions.  This makes it much
        simpler to maintain the package defs across releases.

	The approach uses $::csm_version to set default values for both server and
	node defines.  It allows for execptions to these default values by defining
	specific csm versions assignments which overwrite the defaults when
	$::csm_version is equal to the execption's version number.

	ORDER IS IMPORTANT:
	As noted in the code, any excptions must follow the default assignments,
	otherwise the execption assignment will be overwriten by the default.

	OTHER DOCUMENTATION - see pkgdefs/Linux.pm

=cut

#--------------------------------------------------------------------------------

package RedHatEL5;

#--------------------------------------------------------------------------------

=head3  simple common attributes

        Notes:

=cut

#--------------------------------------------------------------------------------
{
    # install package architecture
    $::pkgdefs{'arch'} = 'x86_64';

    # the directory where kernel and initrd (or zImage) is placed is CD
    $::pkgdefs{'install_image_dir'} = "isolinux";

    # the file name of kernel in CD
    $::pkgdefs{'kernel_file_name'} = "vmlinuz";

    # the file name of initrd (or zImage) in CD
    $::pkgdefs{'initrd_file_name'} = "initrd.img";

    # the network installation method
    $::pkgdefs{'install_method'} = 'kickstart';

    # additional options for "rpm" command
    $::pkgdefs{'additionalRpmCmdOptions'} = '--nosignature';    
}

my $progdir = $0;
$progdir =~ s/\/[^\/]*$/\//g;
if (-e "$progdir/pkgdefs/Linux.pm")
{
	do "$progdir/pkgdefs/Linux.pm";
}
else
{
	do "/opt/csm/install/pkgdefs/Linux.pm";
}

MessageUtils->messageFromCat(
						 'csmInstall.cat',
						 $::MSGMAPPATH,
						 'csminstall',
						 'V',
						 'IMsgLoading',
						 "/opt/csm/install/pkgdefs/Linux-RedHatEL5-x86_64.pm"
                         );

my $_server_  = 'MgmtServer';
my $_node_    = 'MgdNode';
my $_iserver_ = 'InstallServer';

#--------------------------------------------------------------------------------

=head3	os_prereqs - Operating System pre-requisites

        Notes:

=cut

#--------------------------------------------------------------------------------
{
	my %ospr_ref;
    my $distroName = $::pkgdefs{'pkgdefs_distro_name'};
	my $_distro_sl = $::ATTRS{"InstallServiceLevel"};
	if ($_distro_sl eq "")
	{
        	my $disable_warning_msg = 1;
	        # disable waring msg from subroutine get_ServiceLevel 
        	$_distro_sl = NodeUtils->get_ServiceLevel($disable_warning_msg);
	}

    my $perl_pkg = new Rpm( 'perl', '5');
    my $ksh_pkg = new KshRpm( 'ksh');
    my $nfs_utils_pkg = new Rpm( 'nfs-utils');
    my $rdist_pkg = new Rpm( 'rdist', '6');
    my $tcl_pkg = new Rpm( 'tcl', '8.4');
    my $tk_pkg = new Rpm( 'tk', '8.4');
    my $expect_pkg = new Rpm( 'expect', '5.42');
    my $freetype_pkg = new Rpm( 'freetype', '2.1');
    my $compat_libstdc296_pkg = new Rpm( 'compat-libstdc++-296', undef, 'i386');
    my $compat_libstdc33_pkg = new Rpm( 'compat-libstdc++-33', undef, 'i386');
    my $snmp_pkg = new Rpm( 'net-snmp');
    my $snmp_utils_pkg = new Rpm( 'net-snmp-utils');

    my $syslinux_pkg = new Rpm( 'syslinux');
    my $system_config_netboot_pkg = new NoDepsRpm( 'system-config-netboot');
    my $dhcp_pkg = new Rpm( 'dhcp', '3');
    #my $gtk_pkg = new Rpm( 'gtk+', '1.2');
    #my $gdk_pixbuf_pkg = new Rpm( 'gdk-pixbuf', '0.22.0');

    $ospr_ref{$_server_} = new RpmList(
			'Management Server Operating System Prerequisites Packages',
            $perl_pkg,
            $ksh_pkg,
            $nfs_utils_pkg,
            $rdist_pkg,
            $tcl_pkg,
            $tk_pkg,
            $expect_pkg,
            $freetype_pkg,
            $compat_libstdc296_pkg,
            $compat_libstdc33_pkg
            );

    $ospr_ref{$_iserver_} = new RpmList(
			'Install Server Operating System Prerequisites Packages',
            $nfs_utils_pkg,
            $dhcp_pkg,
            #$gtk_pkg,
            #$gdk_pixbuf_pkg,
            $snmp_pkg,
            $snmp_utils_pkg,
			new TftpRpm('tftp-server'),
            $syslinux_pkg
            );

    $ospr_ref{$_node_} = new RpmList(
			'Managed Node Operating System Prerequisites Packages',
            $perl_pkg,
            $nfs_utils_pkg,
            $ksh_pkg,
            $rdist_pkg,
            $compat_libstdc296_pkg,
            $compat_libstdc33_pkg
            );
    $ospr_ref{$_server_}->setContainedInCds(1);
    $ospr_ref{$_iserver_}->setContainedInCds(1);
    $ospr_ref{$_node_}->setContainedInCds(1);

    $::pkgdefs{'pkgs'}{$_server_}{$::OS_PREREQ_PKGS} = $ospr_ref{$_server_};
    $::pkgdefs{'pkgs'}{$_iserver_}{$::OS_PREREQ_PKGS} = $ospr_ref{$_iserver_};
    $::pkgdefs{'pkgs'}{$_node_}{$::OS_PREREQ_PKGS} = $ospr_ref{$_node_};
}

#-------------------------------------------------------------------------------

=head3	apache_packages

        Notes:	List of packages that comprise the Apache http server.
                These packages will always get copied, but will only be 
                installed if SetupNetworkInstallProtocol=1.

=cut

#-------------------------------------------------------------------------------
{
    my $apache_ref = new RpmList(
			'Install Server HTTP Server Packages',
            new Rpm( 'httpd', '2'),
            new Rpm( 'apr', '', 'x86_64'),
            new Rpm( 'apr-util','','x86_64'),
            new Rpm( 'postgresql-libs','','x86_64'),
            new Rpm( 'perl-HTML-Tagset'),
            new Rpm( 'perl-HTML-Parser','','x86_64'),
            new Rpm( 'perl-URI'),
            new Rpm( 'perl-Compress-Zlib','','x86_64'),
            new Rpm( 'perl-libwww-perl'),
            );
    $apache_ref->setContainedInCds(1);

    $::pkgdefs{'pkgs'}{$_iserver_}{$::HTTP_SERVER_PKGS} = $apache_ref;

}


#--------------------------------------------------------------------------------

=head3	getmacs_Exec

        Notes:	non-eth0 support

=cut

#--------------------------------------------------------------------------------
{
	my $ge_ref = [
				  'usr/bin/grep', 'usr/sbin/ifconfig',
				  'usr/bin/sed',  'usr/bin/sleep',
				  'usr/bin/bash', 'usr/bin/busybox'
				 ];

	$::pkgdefs{getmacs_Exec} = $ge_ref;
}

#--------------------------------------------------------------------------------

=head3 getmacs_RamDiskSize

	Nodes: if this attributes defined, it will replace the value given by
               getGetmacsRAMDiskSize

=cut

#--------------------------------------------------------------------------------
{
    $::pkgdefs{'getmacs_RamDiskSize'} = 32768;
}

#--------------------------------------------------------------------------------

=head3	getmacs_Lib

        Notes:	non-eth0 support

=cut

#--------------------------------------------------------------------------------
{
	my $gl_ref = '/lib64';

	$::pkgdefs{getmacs_Lib} = $gl_ref;
}

#--------------------------------------------------------------------------------

=head3	getmacs_ReqLibs

        Notes:	non-eth0 support

=cut

#--------------------------------------------------------------------------------
{
	my $gr_ref = [
				  '/lib64/ld-linux-x86-64.so.2', '/lib64/libc.so.6',
				  '/lib64/libdl.so.2',           '/lib64/libtermcap.so.2',
				  '/lib64/libselinux.so.1',      '/lib64/libsepol.so.1',
				  '/lib64/libm.so.6',            '/lib64/libcrypt.so.1',
				 ];

	$::pkgdefs{getmacs_ReqLibs} = $gr_ref;
}

#--------------------------------------------------------------------------------

=head3	getmacs_DirStructure

        Notes:	non-eth0 support

=cut

#--------------------------------------------------------------------------------
{
	my $gd_ref = [];
	$::pkgdefs{getmacs_DirStructure} = $gd_ref;
}

#--------------------------------------------------------------------------------

=head3 kernel_arch_dir

        Notes: the architecture directory for drivers

=cut

#--------------------------------------------------------------------------------
{
	my $kernel_arch_dir = {
						   'default'  => 'x86_64',
						  };
	$::pkgdefs{'kernel_arch_dir'} = $kernel_arch_dir;
}

#--------------------------------------------------------------------------------

=head3 ramdisk_size

        Notes: the ramdisk size

=cut

#---------------------------------------------------------------------------------
{
	$::pkgdefs{'ramdisk_size'} = 32768;
}

#--------------------------------------------------------------------------------

=head3  hwmaint_Exec

        Notes:  Prerequisite exec utilities for hwmaint. Will be copied to preinstall
		ramdisk:/bin.

=cut

#--------------------------------------------------------------------------------
{
    my $he_ref = [
					'/usr/bin/gzip',
					'/usr/bin/tar',
					'/usr/sbin/ifconfig',
                    '/usr/bin/mount',
					'/usr/bin/uname',
					'/usr/bin/ls',
					'/usr/bin/cp',
					'/usr/bin/ln',
                    '/usr/bin/mkdir',
                    '/usr/bin/tail',
                    '/usr/bin/rm',
                    '/usr/bin/gunzip',
                    '/usr/bin/chmod',
                    '/usr/bin/busybox',
                    '/usr/bin/which'
				 ];
	$::pkgdefs{hwmaint_Exec} = $he_ref;

}

#--------------------------------------------------------------------------------

=head3  hwmaint_ReqLibs

        Notes:  Prerequisite libs for hwmaint. Will be copied to preinstall
		ramdisk:/lib.

=cut

#--------------------------------------------------------------------------------
{
    my $hl_ref = [
					'/lib64/libc.so.6',
                    '/usr/lib64/libstdc++.so.6',
                    '/lib64/libm.so.6',
                    '/lib64/libgcc_s.so.1',
					'/lib64/libacl.so.1',
					'/lib64/libattr.so.1',
                    '/lib64/libnsl.so.1',
                    '/lib64/librt.so.1', 
                    '/lib64/libpthread.so.0',
				 ];
	$::pkgdefs{hwmaint_ReqLibs} = $hl_ref;

}

#--------------------------------------------------------------------------------

=head3  hwmaint_ReqLibs32

        Notes:  Prerequisite 32bit libs for hwmaint. Will be copied to preinstall
		ramdisk:/lib.

=cut

#--------------------------------------------------------------------------------
{
    my $hl_ref = [
					'/lib/libc.so.6',
                    '/usr/lib/libstdc++.so.6',
                    '/lib/libm.so.6',
                    '/lib/libgcc_s.so.1',
					'/lib/librt.so.1',
					'/lib/libpthread.so.0',
					'/lib/ld-linux.so.2',
                    '/lib/librt.so.1',
                    '/lib/libpthread.so.0',
				 ];
    $::pkgdefs{hwmaint_ReqLibs32} = $hl_ref;

}

#--------------------------------------------------------------------------------

=head3  hwmaint_ReqLibsFromRPM

        Notes: These are required libraries for hwmaint operations, but are not
        in the initrd used to build the hwmaint ramdisk.  They must be extracted
        from the rpm files and manually copied to the ramdisk.

        This hash contains the needed libraries and the RPMs where they are packaged.

 $::pkgdefs{'hwmaint_ReqLibsFromRPM'}{'/usr/lib64/libstdc++.so.5'} = "compat-libstdc++-33*.x86_64";
                      ^                       ^                                ^
                      |                       |                                |
                  hash name             required library                 source rpm

        Note that the required library may optionally also contain a second value, to be 
        used as the utilmate file name copied to the ramdisk.  Some applications may be 
        searching for a generic library name to load.  Usually, the source RPM will provide the
        actual, specific library as well as a symbolic link to the generic name.  However, if only
        the specific library is provided, the second value will contain the generic name
        that can be used in the ramdisk.  The syntax is:

        ...{'/usr/lib/libstdc++-2-libc6.1-1-2.9.0.so::libstdc++-libc6.1-1.so.2'} = ...
                              ^                     ^^            ^
                              |                     ||            |
                       required library          delimiter    generic name


=cut

#--------------------------------------------------------------------------------
{
    $::pkgdefs{'hwmaint_ReqLibsFromRPM'}{'/usr/lib64/libstdc++.so.5'} = "compat-libstdc++-33*.x86_64";
    $::pkgdefs{'hwmaint_ReqLibsFromRPM'}{'/usr/lib/libstdc++.so.5'} = "compat-libstdc++-33*.i386";
    $::pkgdefs{'hwmaint_ReqLibsFromRPM'}{'/usr/lib/libstdc++-libc6.2-2.so.3'} = "compat-libstdc++-296*.i386";
    $::pkgdefs{'hwmaint_ReqLibsFromRPM'}{'/lib64/libdl.so.2'} = "glibc-2*.x86_64";
    $::pkgdefs{'hwmaint_ReqLibsFromRPM'}{'/lib/libdl.so.2'} = "glibc-2*.i686";
}



#-------------------------------------------------------------------------------
=head3 preinstall_libs
    
    Notes:
        Overwrite the default values in Linux.pm for rhel5.
        Those libs used by lnxbios and asu.

=cut
#-------------------------------------------------------------------------------
{
    my $hl_ref = [
                    '/lib/libc.so.6',
                    '/usr/lib/libstdc++.so.5',
                    '/lib/libm.so.6',
                    '/lib/libdl.so.2',
                    '/lib/libgcc_s.so.1',
                    '/usr/lib/libstdc++-libc6.2-2.so.3',
                    '/lib/ld-linux.so.2',
                 ];

    $::pkgdefs{preinstall_libs} = $hl_ref;
}

#--------------------------------------------------------------------------------

=head3  install_kernel_parameter

        Notes:  the strings used to be inserted into PXE config file

=cut

#--------------------------------------------------------------------------------
{
=begin Example:

    $::pkgdefs{'install_kernel_parameter'}{'8843'}{'all_models'}{'all_svclevels'} = 'n8r acpi=noirq';
    $::pkgdefs{'install_kernel_parameter'}{'8676'}{'61x'}{'GA'} = 'acpi=noirq';

    # Thunder machine
    $::pkgdefs{'install_kernel_parameter'}{'7985'}{'all_models'}{'QU3'} = 'pci=nommconf';
    # Ridgeback machine
    $::pkgdefs{'install_kernel_parameter'}{'8877'}{'all_models'}{'QU3'} = 'pci=nommconf';

=end Example

=cut
}

#-------------------------------------------------------------------------------

=head3	createrepo_packages

        Notes:  List of packages that comprise the createrepo utility.
				This utility will generate a common metadata repository 
				from a directory of rpm packages.
                These packages will always get copied, but will only be 
                installed on install server or node if InstallMethod = warewulf 
				or yum-upgrade.

=cut

#-------------------------------------------------------------------------------
{
	my $createrepo_ref = new RpmList(
        'Install Server createrepo Packages',
		new Rpm( 'libxml2-python'),
	    new Rpm( 'createrepo')
	);

	$createrepo_ref->setContainedInCds(1);
 	$createrepo_ref->setSearchingStyle('OPTIONAL');
	$createrepo_ref->setUpdatingStyle('UPDATE_OR_INSTALL', 'GROUPED');
	$::pkgdefs{'pkgs'}{$_iserver_}{$::CREATEREPO_PKGS} = $createrepo_ref;
	
}

#-------------------------------------------------------------------------------

=head3	warewulf_packages

        Notes:  List of packages that comprise the Warewulf utility.
                These packages will always get copied, but will only be 
                installed on install server  if InstallMethod = warewulf. 

=cut

#-------------------------------------------------------------------------------
{
	my $warewulf_ref = new RpmList(
        'Install Server Warewulf Packages',
		new Rpm( 'perl-Term-Screen'),
		new Rpm( 'perl-Unix-Syslog'),
		new Rpm( 'warewulf-tools'),
	    new Rpm( 'warewulf')
	);

	$warewulf_ref->setContainedInCds(0);
 	$warewulf_ref->setSearchingStyle('OPTIONAL');
	$warewulf_ref->setUpdatingStyle('UPDATE_OR_INSTALL', 'GROUPED');
    $warewulf_ref->setDestDir('#BASE#/#OS#/#DISTRIBUTOR#/#VERSION#/#ARCH#/csm_addon');
	$::pkgdefs{'pkgs'}{$_iserver_}{$::WAREWULF_PKGS} = $warewulf_ref;
}

#-------------------------------------------------------------------------------

=head3	warewulf_client_packages

        Notes:  List of packages that comprise the Warewulf utility.
                These packages will always get copied, but will not 
                be installed on node. If install method is warewulf,
				warewulf-wulfd should be installed in 
				install server's VNFS.
=cut

#-------------------------------------------------------------------------------
{
	my $warewulf_ref = new RpmList(
        'Managed Node Warewulf Client Packages',
		new Rpm( 'warewulf-wulfd')
	);

	$warewulf_ref->setContainedInCds(0);
 	$warewulf_ref->setSearchingStyle('OPTIONAL');
	$warewulf_ref->setUpdatingStyle('UPDATE_ONLY', 'GROUPED');
    $warewulf_ref->setDestDir('#BASE#/#OS#/#DISTRIBUTOR#/#VERSION#/#ARCH#/csm_addon');
	$::pkgdefs{'pkgs'}{$_node_}{$::WAREWULF_PKGS} = $warewulf_ref;
}

1;    # end
